librevenge::RVNGProperty Class Reference documentation

Public Member Functions | List of all members
librevenge::RVNGProperty Class Referenceabstract

`#include <RVNGProperty.h>`

Inheritance diagram for librevenge::RVNGProperty:

## Public Member Functions
virtual | ~RVNGProperty ()
virtual int | getInt () const =0
virtual double | getDouble () const =0
virtual RVNGUnit | getUnit () const =0
| returns the property unit when possible.
virtual RVNGString | getStr () const =0
virtual RVNGProperty * | clone () const =0

## Constructor & Destructor Documentation

## ◆ ~RVNGProperty()

librevenge::RVNGProperty::~RVNGProperty | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

virtual RVNGProperty * librevenge::RVNGProperty::clone | ( |  | ) | const
| pure virtual

Implemented in librevenge::RVNGBinaryDataProperty, librevenge::RVNGBoolProperty, librevenge::RVNGDoubleProperty, librevenge::RVNGGenericProperty, librevenge::RVNGInchProperty, librevenge::RVNGIntProperty, librevenge::RVNGPercentProperty, librevenge::RVNGPointProperty, librevenge::RVNGPropertyListVector, librevenge::RVNGStringProperty, and librevenge::RVNGTwipProperty.

## ◆ getDouble()

virtual double librevenge::RVNGProperty::getDouble | ( |  | ) | const
| pure virtual

Implemented in librevenge::RVNGBinaryDataProperty, librevenge::RVNGDoubleProperty, librevenge::RVNGIntProperty, librevenge::RVNGPropertyListVector, and librevenge::RVNGStringProperty.

Referenced by librevenge::DrawingSVG::getInchValue(), and librevenge::PresentationSVG::getInchValue().

## ◆ getInt()

virtual int librevenge::RVNGProperty::getInt | ( |  | ) | const
| pure virtual

Implemented in librevenge::RVNGBinaryDataProperty, librevenge::RVNGDoubleProperty, librevenge::RVNGIntProperty, librevenge::RVNGPropertyListVector, and librevenge::RVNGStringProperty.

Referenced by librevenge::RVNGHTMLTextGenerator::openParagraph().

## ◆ getStr()

virtual RVNGString librevenge::RVNGProperty::getStr | ( |  | ) | const
| pure virtual

Implemented in librevenge::RVNGBinaryDataProperty, librevenge::RVNGBoolProperty, librevenge::RVNGDoubleProperty, librevenge::RVNGGenericProperty, librevenge::RVNGInchProperty, librevenge::RVNGIntProperty, librevenge::RVNGPercentProperty, librevenge::RVNGPointProperty, librevenge::RVNGPropertyListVector, librevenge::RVNGStringProperty, and librevenge::RVNGTwipProperty.

Referenced by librevenge::DrawingSVG::doubleToString(), and librevenge::PresentationSVG::doubleToString().

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGProperty::getUnit | ( |  | ) | const
| pure virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implemented in librevenge::RVNGBinaryDataProperty, librevenge::RVNGBoolProperty, librevenge::RVNGDoubleProperty, librevenge::RVNGInchProperty, librevenge::RVNGIntProperty, librevenge::RVNGPercentProperty, librevenge::RVNGPointProperty, librevenge::RVNGPropertyListVector, librevenge::RVNGStringProperty, and librevenge::RVNGTwipProperty.

Referenced by librevenge::DrawingSVG::getInchValue(), and librevenge::PresentationSVG::getInchValue().

The documentation for this class was generated from the following files:

- RVNGProperty.h
- RVNGProperty.cpp